Module org.jfree.chart3d
Package org.jfree.chart3d

# Class Chart3DHints

java.lang.Object
org.jfree.chart3d.Chart3DHints

public final class Chart3DHints extends Object
Special rendering hints that used internally by Orson Charts to provide links between rendered items and the chart elements that they represent. Most `Graphics2D` implementations will ignore these hints but some, for example the `SVGGraphics2D` class in JFreeSVG, will use the hints to drive the output content.

Since:
  1.3

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Chart3DHints.Key`
A key for rendering hints that can be used with Orson Charts (in addition to the regular Java2D rendering hints).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Chart3DHints.Key`
`KEY_BEGIN_ELEMENT`
The key for a hint to signal the beginning of an element.
`static final Chart3DHints.Key`
`KEY_END_ELEMENT`
The key for a hint that ends an element.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KEY_BEGIN_ELEMENT

public static final Chart3DHints.Key KEY_BEGIN_ELEMENT
The key for a hint to signal the beginning of an element. The value should be a string containing the element id or, alternatively, a Map containing the 'id' (String) and 'ref' (String in JSON format).

### KEY_END_ELEMENT

public static final Chart3DHints.Key KEY_END_ELEMENT
The key for a hint that ends an element.